Name:           epol-release
Version:        9
Release:        5%{dist}
Summary:        Extra Packages for Enterprise Linux repository configuration
License:        GPLv2

Source0:        RPM-GPG-KEY-EPOL-9
Source1:        GPL

Source100:      epol.repo

BuildArch:      noarch
Requires:       system-release >=  4
Conflicts:      tlinux-release <  4, opencloudos-release < 9

%description
This package provides the repository file of Extra Packages for OpenCloudOS Linux(EPOL).

%prep
%setup -q -c -T
install -pm 644 %{SOURCE1} .

%install
# GPG Key
install -Dpm 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPOL-9

# yum repo configs
install -dm 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE100} %{buildroot}%{_sysconfdir}/yum.repos.d

%files
%license GPL
%config(noreplace) %{_sysconfdir}/yum.repos.d/epol.repo
%{_sysconfdir}/pki/rpm-gpg/*

%changelog
* Thu Nov 16 2023 Xin Cheng <denisecheng@tencent.com> - 9-5
- Fix debug repo path error in epol.repo

* Tue Nov 01 2023 Xin Cheng <denisecheng@tencent.com> - 9-4
- Rebuild for OpenCloudOS

* Tue Oct 31 2023 Xin Cheng <denisecheng@tencent.com> - 9-3
- Add Conflicts "tlinux-release <  4, opencloudos-release < 9" to refuse old version OS install

* Tue Oct 31 2023 Xin Cheng <denisecheng@tencent.com> - 9-2
- Use OpenCloudOS 9 EPOL repo

* Tue Sep 12 2023 Xin Cheng <denisecheng@tencent.com> - 9-1
- init to use OpenCloudOS Stream EPOL repo